{% extends "base.html" %}

{% block content %}
<div class="container">
    {% for question in questions %}
        <h3><a href="{{ url_for('view_question', questionid=question.id)}}">{{ question.body }}</a> </h3>
        <p>Posted by: {{ question.username }}</p>
        <p>Posted on: {{ question.timestamp }}</p>
        {% if not current_user.is_anonymous %}
            {% if current_user.id==question.user_id %}
                <a href="{{ url_for('edit_question', questionid=question.id)}}">Edit</a>
                <a href="{{ url_for('delete_question', questionid=question.id)}}">Delete</a>
            {% endif %}
        {% endif %}
        <hr>
    {% endfor %}
</div>
{% endblock %}